%% photos


%%
% list files


r = dir();
n = length(r);

for k=1:n
    fprintf('%d  %s\n',k,r(k).name);
end

%%

rng = 6:9;
for k=rng
    filename = r(k).name;
    rgb = imread(filename);
    sz = size(rgb);
    fprintf('%d  %s (%d x %d)\n',k,filename,sz(1:2));
end


%%
filenames = {r.name};
filenames = filenames(rng);
out = montage(filenames,'Size',[1 4]);


%%

file1 = char(filenames(1));
file2 = char(filenames(4));

% cpselect(file2,file1);
% save project1 file1 file2 input_points base_points

%%
%%
% 
% <<..\cpselect1.jpg>>
% 



%%

T = cp2tform(input_points,base_points,'Projective');
rgb2 = imread(file2);
[out XData YData] = imtransform(rgb2,T);
out = im2double(out);
imshow(out);
size(out)
floor(XData)
floor(YData)

%%

rgb1 = imread(file1);
rgb1 = im2double(rgb1);
figure
imshow(rgb1);
size(rgb1)

%%

rgb3 = zeros(2400,3000,3);
sz = size(out);
r1 = 1:sz(1);
r2 = 1:sz(2);
xoff = 605;
yoff = -47;
rgb3(r1,xoff+r2,:)=out;
sz = size(rgb1);
r1 = 1:sz(1);
r2 = 1:sz(2);
rgb3(r1-yoff,r2,:) = 0.5*(rgb3(r1-yoff,r2,:)+rgb1(r1,r2,:));
imshow(rgb3);

